# XRPLID API

**We are also provides a free HTTP API to help any dApps to integrate the name-resolving and reverse-name-resolving service.**

### isOwner

<mark style="color:blue;">`GET`</mark> `https://app.xrpdomains.xyz/api/xrplnft/isOwner`

<https://app.xrpdomains.xyz/api/xrplnft/isOwner?address=rLhi87aSCyNW88tW4632yLiwinbghFZNue>

#### Query Parameters

| Name                                      | Type                               | Description |
| ----------------------------------------- | ---------------------------------- | ----------- |
| address<mark style="color:red;">\*</mark> | rLhi87aSCyNW88tW4632yLiwinbghFZNue |             |

{% tabs %}
{% tab title="200: OK " %}

```
{
    "status": true,
    "message": "Success",
    "data": true
}
```

{% endtab %}
{% endtabs %}

### Resolve Names

Resolve .xrp name to get the address of the owner.

<mark style="color:blue;">`GET`</mark> `https://app.xrpdomains.xyz/api/xrplnft/getAddress`

<https://app.xrpdomains.xyz/api/xrplnft/getAddress?domain=xrpdomains.xrp>

#### Query Parameters

| Name                                     | Type           | Description |
| ---------------------------------------- | -------------- | ----------- |
| domain<mark style="color:red;">\*</mark> | xrpdomains.xrp |             |

{% tabs %}
{% tab title="200: OK " %}

```
{
    "status": true,
    "message": "Success",
    "data": { 
        "owner": "rLhi87aSCyNW88tW4632yLiwinbghFZNue",
        "metadata": [
        ]
    }
}
```

{% endtab %}
{% endtabs %}

### Reverse Resolve Names

<mark style="color:blue;">`GET`</mark> `https://app.xrpdomains.xyz/api/xrplnft/getName`

<https://app.xrpdomains.xyz/api/xrplnft/getName?address=rLhi87aSCyNW88tW4632yLiwinbghFZNue>

#### Query Parameters

| Name                                      | Type                               | Description |
| ----------------------------------------- | ---------------------------------- | ----------- |
| address<mark style="color:red;">\*</mark> | rLhi87aSCyNW88tW4632yLiwinbghFZNue |             |

{% tabs %}
{% tab title="200: OK " %}

```
{
    status: true,
    message: "Success",
    data: "hello.xrp"
}
```

{% endtab %}
{% endtabs %}

### Get All Names

<mark style="color:blue;">`GET`</mark> `https://app.xrpdomains.xyz/api/xrplnft/getAllNames`

<https://app.xrpdomains.xyz/api/xrplnft/getAllNames?address=rLhi87aSCyNW88tW4632yLiwinbghFZNue>

#### Query Parameters

| Name                                      | Type                               | Description |
| ----------------------------------------- | ---------------------------------- | ----------- |
| address<mark style="color:red;">\*</mark> | rLhi87aSCyNW88tW4632yLiwinbghFZNue |             |

{% tabs %}
{% tab title="200: OK " %}

```
{
    status: true,
    message: "Success",
    data: ["xrpdomain.xrp","xrpdomains.xrp",]
}
```

{% endtab %}
{% endtabs %}

Please contact **<info@xrpdomains.xyz>** if you have any questions about integration.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xrpdomains.xyz/developer-guide/xrpl-name-sdk/xrplid-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
